For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • GETGet voice
      • DELDelete voice
      • GETList voices
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoices

List similar voices

POST
/v1/similar-voices
POST
/v1/similar-voices
$curl -X POST https://api.elevenlabs.io/v1/similar-voices \
> -H "Content-Type: multipart/form-data" \
> -F audio_file=@<file1>
1{
2 "voices": [
3 {
4 "public_owner_id": "63e84100a6bf7874ba37a1bab9a31828a379ec94b891b401653b655c5110880f",
5 "voice_id": "sB1b5zUrxQVAFl2PhZFp",
6 "date_unix": 1714423232,
7 "name": "Alita",
8 "accent": "american",
9 "gender": "Female",
10 "age": "young",
11 "descriptive": "calm",
12 "use_case": "characters_animation",
13 "category": "professional",
14 "usage_character_count_1y": 12852,
15 "usage_character_count_7d": 12852,
16 "play_api_usage_character_count_1y": 12852,
17 "cloned_by_count": 11,
18 "free_users_allowed": true,
19 "live_moderation_enabled": false,
20 "featured": false,
21 "language": "en",
22 "description": "Perfectly calm, neutral and strong voice. Great for a young female protagonist.",
23 "preview_url": "https://storage.googleapis.com/eleven-public-prod/wqkMCd9huxXHX1dy5mLJn4QEQHj1/voices/sB1b5zUrxQVAFl2PhZFp/55e71aac-5cb7-4b3d-8241-429388160509.mp3",
24 "rate": 1,
25 "verified_languages": [
26 {
27 "language": "en",
28 "model_id": "eleven_multilingual_v2",
29 "accent": "american",
30 "locale": "en-US",
31 "preview_url": "https://storage.googleapis.com/eleven-public-prod/wqkMCd9huxXHX1dy5mLJn4QEQHj1/voices/sB1b5zUrxQVAFl2PhZFp/55e71aac-5cb7-4b3d-8241-429388160509.mp3"
32 }
33 ]
34 }
35 ],
36 "has_more": false,
37 "total_count": 0
38}

Returns a list of shared voices similar to the provided audio sample. If neither similarity_threshold nor top_k is provided, we will apply default values.

Was this page helpful?
Previous

Create dialogue

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing an optional file.
audio_filefileOptional
similarity_thresholddouble or nullOptional
Threshold for voice similarity between provided sample and library voices. Values range from 0 to 2. The smaller the value the more similar voices will be returned.
top_kinteger or nullOptional

Number of most similar voices to return. If similarity_threshold is provided, less than this number of voices may be returned. Values range from 1 to 100.

Response

Successful Response
voiceslist of objects
The list of shared voices
has_moreboolean
Whether there are more shared voices in subsequent pages.
total_countintegerDefaults to 0
The total number of shared voices matching the query.
last_sort_idstring or null

Errors

422
Unprocessable Entity Error